package org.jeecg.modules.apiService.impl;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiService.LoginApiService;
import org.jeecg.modules.bean.LoginReq;
import org.jeecg.modules.service.AppletLoginService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class LoginApiServiceImpl implements LoginApiService {
    @Resource
    private AppletLoginService appletLoginService;

    //小程序-登录接口
    @Override
    public Result<?> login(LoginReq loginReq)
    {
        return appletLoginService.appletLogin(loginReq);
    }

    //微信小程序登录绑定手机号码接口
    @Override
    public Result<Object> bindPhone(String phoneCode) {
        return appletLoginService.bindPhone(phoneCode);
    }
}
